"target seems to be running an old Tailscale version" when Taildropping a file to Android running 1.8.6

Source: Tailscale 1.8.5 on Ubuntu Linux 20.04
Destination: Tailscale 1.8.6 on Android 9

I’ve restarted my phone after upgrading Tailscale, just to be sure, and I get the following when trying to use taildrop. The phone is switched to “Active”

 in Downloads/  
› tailscale file cp example.jpeg moto-x4:                                                                                                                                                    
can't send to moto-x4: target seems to be running an old Tailscale version

As stated, both phone and computer are running 1.8.x, as per this excessively-redacted screenshot:

I couldn’t find any other debug info to dig up, but happy to test things as needed!

My bug report ID is:
BUG-765129aedf822d70f5c861d9cb983cbf5b257110f09fe8e21f7c1c3904f22f95-20210529202513Z-de2bb99d6011bbde

We’re sorry, but we don’t have Taildrop working for Android yet. We have someone working on it, but not ready yet.

Oh, well that would explain it then! :grinning_face_with_smiling_eyes: Thanks for following up, I can be patient. Excited for this feature, and glad to just have it for transferring between machines already!